/*
 * @file hv_app_OsdMenu.h
 * @brief Header file of osd menu.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use () to .
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-09-01
 */

#ifndef _HV_APP_OSD_MENU_H
#define _HV_APP_OSD_MENU_H

#include "hv_mw_OsdEvent.h"

/**
 * @brief 进入导航栏
 */
VOID Hv_App_OsdMainNaviBarEnter(VOID);

/**
 * @brief 退出导航栏
 */
VOID Hv_App_OsdMainNaviBarExit(VOID);

/**
 * @brief 进入选择信号输入源快捷菜单
 */
VOID Hv_App_OsdInputMenuEnter(VOID);

/**
 * @brief 退出选择信号输入源快捷菜单
 */
VOID Hv_App_OsdInputMenuExit(VOID);

/**
 * @brief 进入选择图像模式快捷菜单
 */
VOID Hv_App_OsdModeMenuEnter(VOID);

/**
 * @brief 退出选择信号输入源快捷菜单
 */
VOID Hv_App_OsdModeMenuExit(VOID);

/**
 * @brief 进入选择虚拟准星菜单
 */
VOID Hv_App_OsdCrosshairAdjustMenuEnter(VOID);

/**
 * @brief 退出选择虚拟准星菜单
 */
VOID Hv_App_OsdCrosshairAdjustMenuExit(VOID);

/**
 * @brief 刷新虚拟准星
 */
VOID Hv_App_OsdCrosshairUpdate(VOID);

/**
 * @brief 显示虚拟准星
 */
VOID Hv_App_OsdCrosshairEnter(VOID);

/**
 * @brief 关闭虚拟准星
 */
VOID Hv_App_OsdCrosshairExit(VOID);

/**
 * @brief 更新实时帧率显示
 */
VOID Hv_App_OsdRefreshRateUpdate(VOID);

/**
 * @brief 显示实时帧率
 */
VOID Hv_App_OsdRefreshRateEnter(VOID);

/**
 * @brief 关闭实时帧率
 */
VOID Hv_App_OsdRefreshRateExit(VOID);

/**
 * @brief 更新倒计时显示
 */
VOID Hv_App_OsdTimeCounterUpdate(VOID);

/**
 * @brief 显示倒计时
 */
VOID Hv_App_OsdTimeCounterEnter(VOID);

/**
 * @brief 关闭倒计时
 */
VOID Hv_App_OsdTimeCounterExit(VOID);

/**
 * @brief 显示菜单锁
 */
VOID Hv_App_OsdLockEnter(BOOL bIsLock);

/**
 * @brief 关闭菜单锁
 */
VOID Hv_App_OsdLockExit(VOID);

/**
 * @brief 进入OTA升级界面
 */
VOID Hv_App_OsdOtaEnter(VOID);

/**
 * @brief 更新OTA升级界面
 */
VOID Hv_App_OsdOtaUpdate(USHORT16 usValue);

/**
 * @brief 退出OTA升级界面
 */
VOID Hv_App_OsdOtaExit(VOID);

/**
 * @brief 进入亮度调节快捷菜单
 */
VOID Hv_App_OsdBrightnessAdjustMenuEnter(VOID);

/**
 * @brief 退出亮度调节快捷菜单
 */
VOID Hv_App_OsdBrightnessAdjustMenuExit(VOID);

/**
 * @brief 刷新主菜单
 */
VOID Hv_App_OsdMainMenuUpdate(VOID);

/**
 * @brief 进入主菜单
 */
VOID Hv_App_OsdMainMenuEnter(VOID);

/**
 * @brief 退出主菜单
 */
VOID Hv_App_OsdMainMenuExit(VOID);

/**
 * @brief OSD菜单操作
 */
VOID Hv_App_OsdMenuOperation(USHORT16 usValue);

#endif
